#pragma once
#include <memory>

#include "HardwareConfiguration.h"

class CHardwareCfgFactory
{
public:
    CHardwareCfgFactory(const std::string& strFtyType = "json");
    virtual ~CHardwareCfgFactory();

    void Create();

    CHardwareConfiguration& Get();

private:
    std::string getEnv(const std::string& strName);

    std::string m_strFtyType{ "json" };

    std::unique_ptr<CHardwareConfiguration> m_pHardwareCfg;
};
